Page MenuHomePhabricator

Selenium test Lexeme:Undoing removes grammatical features fails
Closed, ResolvedPublic

Description

https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-hhvm-docker/10604/console

Session ID: fe3ced057244a4a6605bf2d9008be9e4
Spec: /workspace/src/extensions/WikibaseLexeme/tests/selenium/specs/lexeme.undo.js
Running: chrome
08:22:26 [chrome #0-12]
  Lexeme:Undoing
08:22:26 [chrome #0-12]
  Lexeme:Undoing
      1) removes grammatical features
08:22:26 [chrome #0-12]
08:22:26 [chrome #0-12]
1 failing (7s)
08:22:26 [chrome #0-12]
1) Lexeme:Undoing removes grammatical features:
unknown error: Element <button type="submit" tabindex="0" aria-disabled="false" title="Save your changes [alt-shift-s]" accesskey="s" name="wpSave" value="Save page" class="oo-ui-inputWidget-input oo-ui-buttonElement-button webfonts-changed">...</button> is not clickable at point (270, 435). Other element would receive the click: <div class="oo-ui-window oo-ui-dialog oo-ui-messageDialog ve-init-mw-desktopArticleTarget-windowManager ve-init-mw-desktopArticleTarget-windowManager-welcome oo-ui-window-active oo-ui-window-setup" role="dialog" aria-labelledby="ooui-1">...</div>
Error: An unknown server-side error occurred while processing the command.
    at UndoPage.save (extensions/WikibaseLexeme/tests/selenium/pageobjects/undo.page.js:10:19)
    at Context.it (extensions/WikibaseLexeme/tests/selenium/specs/lexeme.undo.js:58:12)
    at Promise.F (node_modules/core-js/library/modules/_export.js:36:28)
    at elementIdClick("0.30583878450832236-1") - click.js:20:22
08:22:26 [chrome #0-12]

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptAug 14 2018, 8:26 AM
Nikerabbit triaged this task as Unbreak Now! priority.Aug 14 2018, 8:27 AM

Marking UBN! because this blocks ContentTranslation merges.

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptAug 14 2018, 8:27 AM

This will again be as a result of T200508 being completed yesterday

From the screenshot it looks like a “welcome to $wiki” banner is blocking the “submit” button:

That’s the VisualEditor welcome (i18n) – VE probably shouldn’t be running on that page, should it?

That’s the VisualEditor welcome (i18n) – VE probably shouldn’t be running on that page, should it?

I agree it probably shouldnt be showing that prompt on the undo page? that could be desired though?

I get the same dialog on Wikidata in a private window, so it must not be a very recent change.

This will again be as a result of T200508 being completed yesterday

So, it appears this is indeed because Wikibase now pulls in Lexeme for CI, and ContentTranslation pulls in Wikibase (thus also Lexeme).
ContentTranslation also pulls in VisualEditor, which Wikibase and WikibaseLexeme do not, hence why this VE popup only gets in the way of the ContentTranslation CI.

from parameter_functions.py

'ContentTranslation': ['Echo', 'EventLogging', 'GuidedTour',
                       'UniversalLanguageSelector', 'Wikibase',
                       'VisualEditor'],
'Wikibase': [
    'CirrusSearch',
    'cldr',
    'Elastica',
    'GeoData',
    'Scribunto',
    'Capiunto',
    'Echo',
    'PropertySuggester',
    'WikibaseQuality',
    'WikibaseQualityConstraints',
    'WikimediaBadges'
],
Addshore added a comment.EditedAug 14 2018, 12:07 PM

I get the same dialog on Wikidata in a private window, so it must not be a very recent change.

A recent change did happen https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/VisualEditor/+/441490/ T185944

But that is still 1 month ago.

Change 452666 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseLexeme@master] Dismiss Visual Editor modal before undoing lexeme changes

https://gerrit.wikimedia.org/r/452666

Change 452667 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/ContentTranslation@master] DNM Debugging T201901

https://gerrit.wikimedia.org/r/452667

Change 452667 abandoned by Jakob:
DNM Debugging T201901

https://gerrit.wikimedia.org/r/452667

Change 452677 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/core@master] selenium: undo page

https://gerrit.wikimedia.org/r/452677

Change 452666 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Dismiss Visual Editor modal before undoing lexeme changes

https://gerrit.wikimedia.org/r/452666

How does this relate to T201928? The above patches mention dismissing the dialogue, so will fixing this one also fix the other task? Should they be merged? Some guidance would be appreciated. :-)

@Deskana I believe we hope the other one. I.e. that fixing T201928 would also fix this one :) Basically T201928 is a bug, and what this task covers is more of the influence of this bug.

Re merging I am note sure. Could be done, although there is some "conceptual" difference, as I tried to say in the last sentence in the row above. If merging tasks makes it easier to manage and figure out what should be fixed (and by whom), than let's do it!

Re merging I am note sure. Could be done, although there is some "conceptual" difference, as I tried to say in the last sentence in the row above. If merging tasks makes it easier to manage and figure out what should be fixed (and by whom), than let's do it!

I agree they shouldn't be merged, there are multiple ways to solve this immediate blocking CI issue, we could stop running lexeme tests with Content Translation again for example, but we really don't want to, or add a hack to dismiss the popup that should not be there. But of course the dream would be for T201928 to be solved within VE.

Change 452915 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseLexeme@master] Replace browser test with integration test

https://gerrit.wikimedia.org/r/452915

Change 452915 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Replace browser test with integration test

https://gerrit.wikimedia.org/r/452915

With https://gerrit.wikimedia.org/r/452915 merged the T201928 should no longer be triggering failures that were blocking ContrentTranslation. @Nikerabbit could you verify that this is the case (and at very least lower the priority of this task, although probably is could be even claimed resolved now).

T201928 remains an open bug in VE.

Nikerabbit lowered the priority of this task from Unbreak Now! to Needs Triage.Aug 16 2018, 9:00 AM

I haven't seen this blocking anymore.

Change 452677 merged by jenkins-bot:
[mediawiki/core@master] selenium: undo page

https://gerrit.wikimedia.org/r/452677

Jakob_WMDE removed Jakob_WMDE as the assignee of this task.Aug 29 2018, 1:01 PM
Pablo-WMDE closed this task as Resolved.Aug 29 2018, 1:01 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 29 2018, 1:01 PM